/**
 * Block
 */
.block-primary{
	.block-header{
		text-align: center;
		padding: 1rem 0;
		position: relative;
		.block-title{
			display: flex;
			font-size: 1.6rem;
			text-transform: uppercase;
			justify-content: center;
			&:before{
				content: "";
				display: block;
				width: 5rem;
				height: 3rem;
				background-image: url(../images/block-header-bg.png);
				background-repeat: no-repeat;
				background-size: contain;
				background-position: center;
				margin-right: .5rem;
			}
			&:after{
				content: "";
				display: block;
				width: 5rem;
				height: 3rem;
				background-image: url(../images/block-header-bg.png);
				background-repeat: no-repeat;
				background-size: contain;
				background-position: center;
				margin-left: .5rem;
				transform: rotateY(180deg);
			}
		}
	}
	.view-more{
		position: absolute;
		right: 0;
		top: 0;
		bottom: 0;
		margin: auto;
		height: 1.5rem;
		a{
			color: #ff3333;
		}
		@include maw-sm{
			position: relative;
		}
	}
}

/**
 * Item
 */
.item-product{
	border: 1px solid #dedede;
	border-radius: 10px;
	overflow: hidden;
	-webkit-transition: all .2s ease;
	-moz-transition: all .2s ease;
	-o-transition: all .2s ease;
	transition: all .2s ease;
	.item-thumbnail{
		padding-bottom: 140%;
		overflow: hidden;
		position: relative;
		background-color: #fff;
		img{
			max-width: 100%;
			max-height: 100%;
			object-fit: cover;
			position: absolute;
			margin: auto;
			top: 0;
			bottom: 0;
			left: 0;
			right: 0;
		}
	}
	.item-info{
		border-radius: 10px 10px 0 0;
		overflow: hidden;
		position: relative;
		background-color: #fff;
		box-shadow: 0 0 50px 10px #606060;
		padding: 1rem;
		margin-bottom: -60px;
		-webkit-transition: all .3s ease;
		-moz-transition: all .3s ease;
		-o-transition: all .3s ease;
		transition: all .3s ease;
		.item-brand-name{
			a{
				text-transform: uppercase;
				color: #676767;
				font-size: .95rem;
			}
		}
		.item-name{
			a{
				color: #676767;
				font-weight: 600;
			}
		}
		.item-price{
			color: #F00;
			font-weight: 600;
			font-size: 1.1rem;
			padding: .3rem 0;
		}
		.item-action{
			.btn{
				border-radius: 10px;
				padding: 1rem 0;
				margin-top: .8rem;
				color: #fff;
			}
		}
	}
	&.hot-deal{
		.item-info{
			margin-bottom: 0;
			margin-top: -10px;
			.item-action{
				.btn{
					background-color: $info;
					border-color: $info;
					&:hover{
						background-color: darken($info, 10%);
						border-color: darken($info, 10%);
					}
				}
			}
		}
	}
	&:not(.hot-deal):hover{
		.item-info{
			box-shadow: 0 0 30px 3px #606060;
			margin-top: -60px;
			margin-bottom: 0;
		}
	}
	&:hover{
		position: relative;
		z-index: 1;
		transform: scale3d(1.05,1.05,1.05);
		box-shadow: 0 0 5px #dedede;
	}
}

.item-article{
	margin-bottom: .5rem;
	.item-thumbnail{
		border-radius: 10px;
		overflow: hidden;
		margin-bottom: .5rem;
		padding-bottom: 55%;
		position: relative;
		img{
			max-width: 100%;
			max-height: 100%;
			object-fit: cover;
			position: absolute;
			margin: auto;
			top: 0;
			bottom: 0;
			left: 0;
			right: 0;
			z-index: 2;
			height: 100%;
		}
	}
	.item-name{
		a{
			color: #676767;
			text-transform: uppercase;
		}
	}
}

.item-brand{
	border: 1px solid #dedede;
	border-radius: 10px;
	overflow: hidden;
	.item-thumbnail{
		padding-bottom: 75%;
		overflow: hidden;
		position: relative;
		background-color: #fff;
		img{
			max-width: 100%;
			max-height: 100%;
			object-fit: cover;
			position: absolute;
			margin: auto;
			top: 0;
			bottom: 0;
			left: 0;
			right: 0;
		}
	}
	.item-info{
		border-radius: 10px 10px 0 0;
		overflow: hidden;
		position: relative;
		background-color: #fff;
		box-shadow: 0 0 50px 10px #8f8f8f;
		padding: .5rem;
		.item-name{
			text-align: center;
			a{
				color: #676767;
				font-weight: 500;
				text-transform: uppercase;
				font-size: 1.1rem;
			}
		}
	}
}

/**
 * Owl Carousel
 */
.owl-carousel{
	.owl-stage-outer{
		overflow: visible;
	}
	.owl-nav{
		.owl-next, .owl-prev{
			opacity: 0;
			position: absolute;
			top: 0;
			bottom: 0;
			margin: auto;
			color: #676767;
			font-size: 2.5rem;
			width: 3rem;
			height: 3.5rem;
			text-align: center;

			background-color: #fff;
			box-shadow: 0 0 2px #dedede;

			-webkit-transition: all .5s ease;
			-moz-transition: all .5s ease;
			-o-transition: all .5s ease;
			transition: all .5s ease;
			i{
				-webkit-transition: all .3s ease;
				-moz-transition: all .3s ease;
				-o-transition: all .3s ease;
				transition: all .3s ease;
			}
			&:hover{
				i{
					transform: scale3d(1.4,1.4,1.4);
				}
			}
		}
		.owl-next{
			border-radius: 5px 0 0 5px;
			right: 0;
			transform: translateX(40px);
		}
		.owl-prev{
			border-radius: 0 5px 5px 0;
			left: 0;
			transform: translateX(-40px);
		}
	}
	.owl-dots{
		opacity: 0;
		transform: translateY(10px);
		-webkit-transition: all .5s ease;
		-moz-transition: all .5s ease;
		-o-transition: all .5s ease;
		transition: all .5s ease;
	}
	&:hover{
		.owl-next, .owl-prev{
			opacity: .9;
			transform: translateX(0);
		}
		.owl-dots{
			opacity: 1;
			transform: translateY(0);
		}
	}
}

/**
 * Breadcrumb
 */
.breadcrumb{
	background-color: transparent;
    padding: .9rem 0;
    border-bottom: 1px solid #f0f0f0;
	.breadcrumb-item{
		a{
			color: $primary;
		}
		&:not(:first-child)::before{
			content: "\f105";
			font-family: "FontAwesome";
		}
	}

}

/**
 * Button
 */
.btn{
	cursor: pointer;
	&.btn-primary{
		border-radius: 7px;
		padding: .7rem 1rem;
	}
	&.btn-link{
		color: $primary;
		padding: 0;
		line-height: 2;
	}
	&.btn-outline-secondary{
		border-radius: 7px;
		padding: .7rem 1rem;
	}
}


/**
 * Form
 */
.form-group{
    .form-control {
    	border-radius: 7px;
    	padding: .7rem 1rem;
    }
}